<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>Objects</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Objects";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Objects.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/objects/Objects.html" target="_top">Frames</a></li>
<li><a href="Objects.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.projectx.engine.managers.entities.Entity">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.managers.entities.objects</div>
<h2 title="Class Objects" class="title">Class Objects</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">projectx.engine.managers.entities.Entity</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.managers.entities.objects.Objects</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Objects</span>
extends <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></pre>
<div class="block">This class is a template for all static entities</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kenneth Lange</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.projectx.engine.managers.entities.Entity">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;projectx.engine.managers.entities.<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></h3>
<code><a href="../../../../../projectx/engine/managers/entities/Entity.html#DEBUGMODE">DEBUGMODE</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#DEFAULT_HEALTH">DEFAULT_HEALTH</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#Objects-projectx.engine.Handler-int-int-projectx.game.enums.ObjectsType-">Objects</a></span>(<a href="../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
       int&nbsp;x,
       int&nbsp;y,
       <a href="../../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;objectsType)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#activate--">activate</a></span>()</code>
<div class="block">This method is used for when an object is activated</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#destroy--">destroy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#getObjectsType--">getObjectsType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#hurt-int-">hurt</a></span>(int&nbsp;amount)</code>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#render-projectx.engine.glgfx.Graphics-">render</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</code>
<div class="block">This method is responsible for rendering an object's new location and
 collision box.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#render-projectx.engine.glgfx.Graphics-double-">render</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
      double&nbsp;scale)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html#update--">update</a></span>()</code>
<div class="block">This method is responsible for updating the object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.projectx.engine.managers.entities.Entity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;projectx.engine.managers.entities.<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></h3>
<code><a href="../../../../../projectx/engine/managers/entities/Entity.html#checkCollisions-float-float-">checkCollisions</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getCollisionBounds-float-float-">getCollisionBounds</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getHealth--">getHealth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getHeight--">getHeight</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getWidth--">getWidth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getX--">getX</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getY--">getY</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#isActive--">isActive</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setActive-boolean-">setActive</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setHealth-byte-">setHealth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setHeight-int-">setHeight</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setWidth-int-">setWidth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setX-float-">setX</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setY-float-">setY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Objects-projectx.engine.Handler-int-int-projectx.game.enums.ObjectsType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Objects</h4>
<pre>public&nbsp;Objects(<a href="../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
               int&nbsp;x,
               int&nbsp;y,
               <a href="../../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;objectsType)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update()</pre>
<div class="block">This method is responsible for updating the object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#update--">update</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="destroy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroy</h4>
<pre>public&nbsp;void&nbsp;destroy()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#destroy--">destroy</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="activate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activate</h4>
<pre>public&nbsp;void&nbsp;activate()</pre>
<div class="block">This method is used for when an object is activated</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#activate--">activate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="hurt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hurt</h4>
<pre>public&nbsp;void&nbsp;hurt(int&nbsp;amount)</pre>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#hurt-int-">hurt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>amount</code> - </dd>
</dl>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</pre>
<div class="block">This method is responsible for rendering an object's new location and
 collision box.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#render-projectx.engine.glgfx.Graphics-">render</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
                   double&nbsp;scale)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#render-projectx.engine.glgfx.Graphics-double-">render</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="getObjectsType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectsType</h4>
<pre>public&nbsp;<a href="../../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;getObjectsType()</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Objects.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/objects/Objects.html" target="_top">Frames</a></li>
<li><a href="Objects.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.projectx.engine.managers.entities.Entity">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
